package timing.ukulele.auth.http.wechat;

import org.springframework.web.service.annotation.GetExchange;
import org.springframework.web.service.annotation.HttpExchange;
import timing.ukulele.auth.model.Result;

/**
 * 微信接口调用
 */
@HttpExchange
public interface WeChatExchange {

    /**
     * 调用当前项目的获取验证码方法
     *
     * @return 统一响应类
     */
    @GetExchange("/getCaptcha")
    Result<String> getCaptcha();

}