package timing.ukulele.auth.security;

/**
 * 登录方式
 */
public enum LoginTypeEnum {
    IMAGE_CODE("image_code", "用户名密码和图片验证码",  "/authentication/captcha"),
    MOBILE_CODE("mobile_code", "短信验证码",  "/authentication/mobile"),
    THIRD_QR("third_qr", "三方扫码登录",  "/authentication/thirdQr");

    private String code;
    private String name;
    private String path;

    LoginTypeEnum(String code, String name, String path) {
        this.code = code;
        this.name = name;
        this.path = path;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }
}
